org.springframework.data.repository.init

## Class Jackson2RepositoryPopulatorFactoryBean

- java.lang.Object
- - org.springframework.beans.factory.config.AbstractFactoryBean<ResourceReaderRepositoryPopulator>
  - - org.springframework.data.repository.init.AbstractRepositoryPopulatorFactoryBean
    - - org.springframework.data.repository.init.Jackson2RepositoryPopulatorFactoryBean

All Implemented Interfaces:
  EventListener, Aware, BeanClassLoaderAware, BeanFactoryAware, DisposableBean, FactoryBean<ResourceReaderRepositoryPopulator>, InitializingBean, ApplicationContextAware, ApplicationListener<ContextRefreshedEvent>

    public class Jackson2RepositoryPopulatorFactoryBean
    extends AbstractRepositoryPopulatorFactoryBean

`FactoryBean` to set up a `ResourceReaderRepositoryPopulator` with a `Jackson2ResourceReader`.

Since:
  1.6
Author:
  Oliver Gierke, Christoph Strobl

### Field Summary

### Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`logger`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`Jackson2RepositoryPopulatorFactoryBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ResourceReader` `getResourceReader()`
`void` `setMapper(com.fasterxml.jackson.databind.ObjectMapper mapper)` Configures the `ObjectMapper` to be used.

### Methods inherited from class org.springframework.data.repository.init.AbstractRepositoryPopulatorFactoryBean

`afterPropertiesSet, createInstance, getObjectType, onApplicationEvent, setApplicationContext, setResources`

### Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.ApplicationListener

`forPayload`

### Constructor Detail

#### Jackson2RepositoryPopulatorFactoryBean

    public Jackson2RepositoryPopulatorFactoryBean()

### Method Detail

#### setMapper

    public void setMapper(@Nullable
                          com.fasterxml.jackson.databind.ObjectMapper mapper)

Configures the `ObjectMapper` to be used.

Parameters:
  `mapper` - can be null.

#### getResourceReader

    protected ResourceReader getResourceReader()

Specified by:
  `getResourceReader` in class `AbstractRepositoryPopulatorFactoryBean`